<?php

if (!defined('ALTA4_UTILS')) {
	if (!class_exists('\\TYPO3\\CMS\\Core\\Utility\\GeneralUtility')) {

		function a4CompatAlias($simple, $namespaced) {
			if (!class_exists($namespaced)) {
				if (class_exists($simple)) {
					class_alias($simple, $namespaced);
				}
			}
		}

		a4CompatAlias('t3lib_div', '\\TYPO3\\CMS\\Core\\Utility\\GeneralUtility');
		a4CompatAlias('t3lib_extMgm', '\\TYPO3\\CMS\\Core\\Utility\\ExtensionManagementUtility');
		a4CompatAlias('tslib_pibase', '\\TYPO3\\CMS\\Frontend\\Plugin\\AbstractPlugin');
	}

 	function a4GetPluginURL($pluginName) {
		$url = \TYPO3\CMS\Core\Utility\GeneralUtility::getIndpEnv('TYPO3_SITE_URL');
		$prefix = 'http://';
		$len = strlen($prefix);
		if (strcasecmp(substr($url, 0, $len), $prefix) === 0) {
			$url = '//' . substr($url, $len);
		}
		return $url . \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::siteRelPath($pluginName);
	}

	define('ALTA4_UTILS', true);
}
