define(["../Utility"
], function (utility) {
	return utility.createClass(null, {
		data: null,
		domNode: null,
		labelNode: null,
		constructor: function (data, labelFormatter, extraParam) {
			this.labelFormatter = labelFormatter;
			this.data = data;
			this.domNode = utility.createElement('li');
			this.domNode.a4Model = this;
			this.labelNode = utility.createElement('span', {
				textContent: this.getLabel(labelFormatter),
				'class': 'dragListNodeLabel'
			}, this.domNode);
		},
		getLabel: function(labelFormatter) {
			return labelFormatter(this.getId());
		},
		getId: function() {
			console.error('Missed to implement abstract method getId');
			return null;
		}
	});
});
