<?php

a4RequireUtils();

/**
 * Plugin 'atlasFX Kartenplugin' for the 'alta4_atlasfx' extension.
 *
 * @package	TYPO3
 * @subpackage	tx_alta4atlasfx
 */
class tx_alta4atlasfx_pi1 extends \TYPO3\CMS\Frontend\Plugin\AbstractPlugin {

    /**
     * The main method of the Plugin.
     *
     * @param string $content The Plugin content
     * @param array $conf The Plugin configuration
     * @return string The content that is displayed on the website
     */
    public function main($content, array $conf) {
        $this->pi_initPIflexForm();

        $jsonData = array();
        foreach ($this->cObj->data["pi_flexform"]["data"]["sDEF"]["lDEF"] as $key => $value) {
            $jsonData[$key] = $value["vDEF"];
        }
        $jsonData['extSitePath'] = a4GetPluginURL('alta4_atlasfx');
        $jsonData['extJsonData'] = json_encode($jsonData);

        $content = file_get_contents(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('alta4_atlasfx', "pi1/frontend.html"));
        foreach ($jsonData as $key => $value) {
            $content = str_replace("{" . $key . "}", htmlspecialchars($value), $content);
        }
        return $content;
    }

}

if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/alta4_atlasfx/pi1/frontend.php'])) {
    include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/alta4_atlasfx/pi1/frontend.php']);
}